// read student data and display averages

#include <stdio.h>
#include <stdlib.h>

int main( void ) {

  FILE * data_file = fopen("students.txt", "r");

  if( ! data_file ) {
    printf("No students.txt file was found\n");
    return 1;
  }

  char * end_ptr;

  char field[50];
  int field_pos = 0;
  int field_num = 0;
  int total = 0;

  int c = fgetc(data_file);
  while( c != EOF ) {
    if( c != ',' && c != '\n' ) {
      field[field_pos++] = c;
    } else {
        // reset for a new field
        field[field_pos] = '\0';

        if( field_num == 0 ) {
          printf("name: %s\n", field);
        } else {
          total += strtol( field, &end_ptr, 10 );
        }

        field_pos = 0;
        field_num += 1;
    }

    // reset for a new record
    if( c == '\n' ) {
      printf("average is: %.2f\n", (total/3.0));
      field_num = 0;
      total = 0;
    }

    c = fgetc(data_file);
  }

  fclose(data_file);

  return 0;
}
